Bug 247878 - [NEW PORT] devel/p5-Test-DBIC-ExpectedQueries: Test that only expected DBIx::Class queries are run
Summary: [NEW PORT] devel/p5-Test-DBIC-ExpectedQueries: Test that only expected DBIx::...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-10 03:16 UTC by Tomohiro Hosaka
Modified: 2022-08-04 09:23 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (2.43 KB, text/plain)
2020-07-10 03:16 UTC, Tomohiro Hosaka
no flags Details
shar (2.43 KB, text/plain)
2020-07-16 09:07 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2020-07-10 03:16:20 UTC
* portlint looks fine.
* poudriere testport ok (12.1, amd64)
* make test ok

This port is needed for databases/p5-DBIx-Class-ResultSet-RecursiveUpdate updates.
Comment 1 Tomohiro Hosaka 2020-07-10 03:16:22 UTC
Created attachment 216347 [details]
svn diff
Comment 2 Wen Heping freebsd_committer 2020-07-16 08:40:53 UTC
Shall p5-Test-Deep and p5-Test-Warnings listed into BUILD_DEPENDS?
It should be TEST_DEPENDS ?

wen
Comment 3 Tomohiro Hosaka 2020-07-16 09:07:16 UTC
Created attachment 216482 [details]
shar

Thanking for pointing that out!
That's right.
Fixed.
Comment 4 Wen Heping freebsd_committer 2020-10-20 07:04:53 UTC
Would this port be added into databases category?

wen
Comment 5 Tomohiro Hosaka 2021-07-31 06:39:00 UTC
% ls -d /usr/ports/*/p5-Test-*

The majority of things that could be in net/, textprocs/, or www/ are in devel/ ...

% ls -d /usr/ports/*/p5-Test-*

/usr/ports/devel/p5-Test-DBIC-ExpectedQueries
/usr/ports/devel/p5-Test-DBIx-Class

I decided to use devel/.

I've decided on devel/, but I'm not obsessed with it.

Would databases/ be more suitable?
Comment 6 Tomohiro Hosaka 2021-07-31 06:40:10 UTC
% ls -d /usr/ports/*/p5-Test-*

The majority of things that could be in net/, textprocs/, or www/ are in devel/ ...

% ls -d /usr/ports/*/p5-Test-DB*

/usr/ports/devel/p5-Test-DBIC-ExpectedQueries
/usr/ports/devel/p5-Test-DBIx-Class

I decided to use devel/.

I've decided on devel/, but I'm not obsessed with it.

Would databases/ be more suitable?
Comment 7 Tomohiro Hosaka 2022-08-04 07:45:16 UTC
Is there anything I can do?
Comment 8 commit-hook freebsd_committer 2022-08-04 09:21:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6a7939893977e5936e48e9a76aa5b5109bcfba6d

commit 6a7939893977e5936e48e9a76aa5b5109bcfba6d
Author:     Wen Heping <wen@FreeBSD.org>
AuthorDate: 2022-08-04 09:18:40 +0000
Commit:     Wen Heping <wen@FreeBSD.org>
CommitDate: 2022-08-04 09:18:40 +0000

    devel/p5-Test-DBIC-ExpectedQueries: New port

    Test that only expected DBIx::Class queries are run.

    WWW: https://metacpan.org/release/Test-DBIC-ExpectedQueries
    PR:             247878
    Reported by:    bokutin@bokut.in

 devel/p5-Test-DBIC-ExpectedQueries/Makefile (new)  | 30 ++++++++++++++++++++++
 devel/p5-Test-DBIC-ExpectedQueries/distinfo (new)  |  3 +++
 devel/p5-Test-DBIC-ExpectedQueries/pkg-descr (new) |  3 +++
 devel/p5-Test-DBIC-ExpectedQueries/pkg-plist (new) |  3 +++
 4 files changed, 39 insertions(+)